const reminderFoxBundle = document.getElementById("reminderFox-bundle");  

function loadAlarm() {
		var dateString = window.arguments[0].reminderDate;
		var timeString = window.arguments[0].reminderTime;
		var reminderString = window.arguments[0].reminderText;
		var important = window.arguments[0].importantStatus;
		
		document.getElementById("reminderDateText").setAttribute("value", dateString);
		document.getElementById("reminderTimeText").setAttribute("value", timeString);
		document.getElementById("reminderDescriptionText").setAttribute("value", reminderString);				
		if ( important == "true" ) {
				document.getElementById("reminderDescriptionText").setAttribute("style", "color: red;");
		}
		
		//playAlarmSound();

}

function playAlarmSound() {
		// play a sound for notification (if the user elects to)
		
		// if ( pref_playSoundOnAlert ) {
			var gSound = Components.classes["@mozilla.org/sound;1"].createInstance(Components.interfaces.nsISound);
			var savefilePath;
			// check if user has specified a specific file path for sound in their preferences
			try {
				//savefilePath = reminderFox_prefs.getCharPref(REMINDER_FOX_PREF + "." + REMINDER_FOX_SOUND_FILE);
				//savefilePath = "d:\\dev\\eclipse\\v7-workspace\\reminderfox\\src\\skin\\reminderfox\\download.wav";
			}
			catch ( e) {
			}
			// if not, then play default beep sound
			if ( savefilePath == null || savefilePath == "" ) {
				gSound.beep();	
			}
			else {
				var file = Components.classes["@mozilla.org/file/local;1"]
							.createInstance(Components.interfaces.nsILocalFile);
				file.initWithPath( savefilePath );						
	   			var ios = Components.classes['@mozilla.org/network/io-service;1'].getService(Components.interfaces.nsIIOService);
				var fileURI = ios.newFileURI(file);				
				gSound.play(fileURI);	
			}
		// } // end if		
}


function reminderFox_alarmDone() {
	window.close();
}

function reminderFox_alarmChooseDone() {
	if ( 	document.getElementById("snoozeButton").getAttribute( "default" ) == true ||
		document.getElementById("snoozeButton").getAttribute( "default" ) == "true"	) {
		reminderFox_snooze();
	}
	else {
		reminderFox_alarmDone();
	}
}

function reminderFox_snoozeTimeChanged() {
	document.getElementById("snoozeButton").setAttribute( "default", true );
	document.getElementById("okButton").setAttribute( "default", false );
}

function reminderFox_snooze() {
		var alarmId = window.arguments[0].currentAlarmId;
		var dateString = window.arguments[0].reminderDate;
		var timeString = window.arguments[0].reminderTime;
		var reminderString = window.arguments[0].reminderText;
		var important = window.arguments[0].importantStatus;
				
		var snoozeTimeList = document.getElementById("reminderFox-snoozeTime");	
		var snoozeTime = snoozeTimeList.label;
		if ( reminderFox_isInteger( snoozeTime ) ) {
			var currentTime = new Date().getTime();
			var alarmTime = currentTime + (snoozeTime*60000);		
					
			var windowManager = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService();
			var windowManagerInterface = windowManager.QueryInterface(Components.interfaces.nsIWindowMediator);
			var windowEnumerator =  reminderFox_getWindowEnumerator();
	
			if (windowEnumerator.hasMoreElements()) {
				var oldestWindow = windowEnumerator.getNext();
				// add to list
				oldestWindow.reminderFox_alarmList.length = oldestWindow.reminderFox_alarmList.length + 1;
				oldestWindow.reminderFox_alarmList[oldestWindow.reminderFox_alarmList.length - 1]  = alarmId + ":"  + alarmTime + reminderFox_SNOOZE_CONST;
				oldestWindow.setTimeout('reminderFox_showAlarm("'+dateString+'","'+timeString +'","'+alarmId +'","'+alarmTime+ '","'+reminderString + '","'+important+'")', snoozeTime*60000);			
			}		
		}
	window.close();
}


